Skip to main content
GET
Export spend breakdown as CSV

Authorizations

Authorization
string
header
required

Bearer JWT issued to your business account during onboarding

Query Parameters

from
string

Start of the range (UTC). A date like 2026-07-08 starts at the beginning of that day. A full timestamp is used as the exact start time and is included.

Example:

"2026-06-01"

to
string

End of the range (UTC). A date like 2026-07-08 includes that whole day. A full timestamp is the exact end time and is not included, so back-to-back ranges do not overlap. Defaults to now.

Example:

"2026-07-01"

dimension
enum<string>

Which breakdown to export as CSV. Defaults to user.

Available options:
user,
merchant,
mcc,
city
Example:

"user"

userId
string

Filter spend to one end user (Mongo ObjectId).

cardId
string

Filter spend to one card (local rainCards _id).

Response

200